Bug 1374526 - backport fix for crash in libnm's nm_vpn_plugin_info_list_get_service_types()
Summary: backport fix for crash in libnm's nm_vpn_plugin_info_list_get_service_types()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-08 23:40 UTC by Thomas Haller
Modified: 2016-11-03 19:30 UTC (History)
7 users (show)

Fixed In Version: NetworkManager-1.4.0-8.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:30:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Thomas Haller 2016-09-08 23:40:32 UTC
backport a trivial fix for a crash:

https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=4a535e6213bb5de05f166c29debc65fc04a7a3b8


for example:

  $ nmcli --complete-args connection add type vpn vpn-type ''
  Segmentation fault (core dumped)



The impact is moderate, but the fix is trivial and riskless.

Comment 1 Thomas Haller 2016-09-09 11:13:34 UTC
For the crash to happen, you need to install at least one VPN plugin that has no "aliases".

Currently, the only VPN plugin with aliases is nm-libreswan. So, install any plugin (except nm-libreswan).


Note, the crash can also happen during interactive edit mode in nmcli, not only during --complete-args. That is just an easy example

Comment 2 Thomas Haller 2016-09-09 13:56:36 UTC
merged to dist-git and will be part of NetworkManager-1.4.0-8.el7. Build still missing.

Comment 4 Vladimir Benes 2016-09-15 10:56:35 UTC
Can list all arguments w/o segfault with various plugins installed.

Comment 6 errata-xmlrpc 2016-11-03 19:30:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.